EnergyCAP Developer
Documentation
API Reference
API Reference
/
Account
/
GetDefaultBillingPeriodV3
GET
/api/v3/account/
{accountId}
/billingPeriod
For a given accountId, startDate and endDates for a bill get a billing period recommendation The billing period will be in YYYYMM format YYYY represents the 4 digit year and MM is the two digit month 01 for Jan to 12 for Dec
GetDefaultBillingPeriodV3
Request Headers
Path Parameters
Query Parameters
Responses
Request Headers
Header
Value
Required
Description
ECI-ApiKey
string
Yes
Your API key. See
Authentication
.
Content-Type
application/json
Yes
All requests must specify JSON content type.
Path Parameters
Name
Description
Type
Required
accountId
The identifier for the account for which bill is being created
integer (int32)
Required
Query Parameters
Name
Description
Type
Required
startDate
The start date of the bill
string (date-time)
Optional
endDate
The end date of the bill
string (date-time)
Optional
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
SingleValue
Property
Description
Type
value
object
Example Response
application/json
Copy
{
"value"
:
{}
}